import { TestBed } from '@angular/core/testing';
import { ScheduleFiltersStateService } from '@shared/services/filters/schedule-filters-state.service';

describe('ScheduleFiltersStateService', () => {
    let service: ScheduleFiltersStateService;

    beforeEach(() => {
        TestBed.configureTestingModule({
            providers: [ScheduleFiltersStateService],
        });

        service = TestBed.inject(ScheduleFiltersStateService);
    });

    it('should clear service fields', () => {
        service.arrival = 'KUF';
        service.departure = 'MOW';
        service.clear();

        expect(service.arrival).toBe(undefined);
        expect(service.departure).toBe(undefined);
    });
});
